Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 296550 - dev-embedded/scratchbox2: fails with forced --as-needed
Summary: dev-embedded/scratchbox2: fails with forced --as-needed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Dominik Kapusta (RETIRED)
URL: http://www.gentoo.org/proj/en/qa/asne...
Whiteboard:
Keywords:
Depends on:
Blocks: as-needed
  Show dependency tree
 
Reported: 2009-12-11 20:09 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-12-12 10:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (scratchbox2-2.0:20091211-191516.log,18.76 KB, text/plain)
2009-12-11 20:09 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-12-11 20:09:03 UTC
I'm reporting this bug because the package in summary fails to build when forcing --as-needed on through spec files (check out http://blog.flameeyes.eu/2008/11/14/problems-and-mitigation-strategies-for-as-needed for details).

Please note that this bug _might_ apply to -Wl,--as-needed in LDFLAGS as well; in both cases it should be fixed. Also, if this is due to the package in question not respecting user-defined LDFLAGS, you should get to fix that too.

Check the attached build log.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-12-11 20:09:32 UTC
Created attachment 212729 [details]
Build log
Comment 2 Dominik Kapusta (RETIRED) gentoo-dev 2009-12-12 10:05:01 UTC
Fixed, thanks.


+  12 Dec 2009; Dominik Kapusta <ayoy@gentoo.org> scratchbox2-2.0-r1.ebuild,
+  +files/scratchbox2-2.0-as-needed.patch,
+  files/scratchbox2-2.0-gentoo.patch:
+  Fix compilation with --as-needed (bug #296550).
+